summaryrefslogtreecommitdiff
path: root/lg3dproto/Makefile
diff options
context:
space:
mode:
authorKeith Packard <keithp@keithp.com>2010-04-06 15:01:29 -0700
committerKeith Packard <keithp@keithp.com>2010-04-06 15:01:29 -0700
commit05b56f65501517507355de2ccdf8b5432254e3c2 (patch)
tree27f4154f13c624746191f749ad62694dd24a074d /lg3dproto/Makefile
parentaa3ba7f0bf64d59a617cf70c6da748d8b440e32b (diff)
Merge protocol package automake bits
This doesn't change what gets installed, just how those bits are constructed. The goal is to produce precisely the same bits as the union of the individual package. This patch was generated using the 'add-configure' script. Signed-off-by: Keith Packard <keithp@keithp.com>
Diffstat (limited to 'lg3dproto/Makefile')
-rw-r--r--lg3dproto/Makefile555
1 files changed, 310 insertions, 245 deletions
diff --git a/lg3dproto/Makefile b/lg3dproto/Makefile
index f2e53ca..beb6d2c 100644
--- a/lg3dproto/Makefile
+++ b/lg3dproto/Makefile
@@ -1,8 +1,9 @@
-# Makefile.in generated by automake 1.9.6 from Makefile.am.
-# Makefile. Generated from Makefile.in by configure.
+# Makefile.in generated by automake 1.11.1 from Makefile.am.
+# lg3dproto/Makefile. Generated from Makefile.in by configure.
# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
-# 2003, 2004, 2005 Free Software Foundation, Inc.
+# 2003, 2004, 2005, 2006, 2007, 2008, 2009 Free Software Foundation,
+# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.
@@ -14,16 +15,35 @@
-
-srcdir = .
-top_srcdir = .
-
-pkgdatadir = $(datadir)/lg3dproto
-pkglibdir = $(libdir)/lg3dproto
-pkgincludedir = $(includedir)/lg3dproto
-top_builddir = .
+# Copyright (c) 2004, Sun Microsystems, Inc.
+#
+# Permission to use, copy, modify, distribute, and sell this software and its
+# documentation for any purpose is hereby granted without fee, provided that
+# the above copyright notice appear in all copies and that both that
+# copyright notice and this permission notice appear in supporting
+# documentation.
+#
+# The above copyright notice and this permission notice shall be included in
+# all copies or substantial portions of the Software.
+#
+# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
+# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
+# SUN MICROSYSTEMS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN
+# AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
+# CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
+#
+# Except as contained in this notice, the name of Sun Microsystems shall not be
+# used in advertising or otherwise to promote the sale, use or other dealings
+# in this Software without prior written authorization from Sun Microsystems.
+
+
+
+pkgdatadir = $(datadir)/proto
+pkgincludedir = $(includedir)/proto
+pkglibdir = $(libdir)/proto
+pkglibexecdir = $(libexecdir)/proto
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
-INSTALL = /usr/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
@@ -35,19 +55,27 @@ POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
-subdir = .
-DIST_COMMON = $(am__configure_deps) $(lg3d_HEADERS) \
- $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
- $(srcdir)/lg3dproto.pc.in $(top_srcdir)/configure COPYING \
- ChangeLog install-sh missing
+build_triplet = x86_64-unknown-linux-gnu
+host_triplet = x86_64-unknown-linux-gnu
+subdir = lg3dproto
+DIST_COMMON = README $(lg3d_HEADERS) $(srcdir)/Makefile.am \
+ $(srcdir)/Makefile.in $(srcdir)/lg3dproto.pc.in AUTHORS \
+ COPYING ChangeLog INSTALL install-sh missing
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
$(ACLOCAL_M4)
-am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
- configure.lineno configure.status.lineno
mkinstalldirs = $(install_sh) -d
+CONFIG_HEADER = $(top_builddir)/x11proto/do-not-use-config.h \
+ $(top_builddir)/x11proto/Xfuncproto.h
CONFIG_CLEAN_FILES = lg3dproto.pc
+CONFIG_CLEAN_VPATH_FILES =
+AM_V_GEN = $(am__v_GEN_$(V))
+am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
+am__v_GEN_0 = @echo " GEN " $@;
+AM_V_at = $(am__v_at_$(V))
+am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
+am__v_at_0 = @
SOURCES =
DIST_SOURCES =
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
@@ -55,339 +83,349 @@ am__vpath_adj = case $$p in \
$(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
*) f=$$p;; \
esac;
-am__strip_dir = `echo $$p | sed -e 's|^.*/||'`;
+am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
+am__install_max = 40
+am__nobase_strip_setup = \
+ srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
+am__nobase_strip = \
+ for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
+am__nobase_list = $(am__nobase_strip_setup); \
+ for p in $$list; do echo "$$p $$p"; done | \
+ sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
+ $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
+ if (++n[$$2] == $(am__install_max)) \
+ { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
+ END { for (dir in files) print dir, files[dir] }'
+am__base_list = \
+ sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
+ sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__installdirs = "$(DESTDIR)$(pkgconfigdir)" "$(DESTDIR)$(lg3ddir)"
-pkgconfigDATA_INSTALL = $(INSTALL_DATA)
DATA = $(pkgconfig_DATA)
-lg3dHEADERS_INSTALL = $(INSTALL_HEADER)
HEADERS = $(lg3d_HEADERS)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
-distdir = $(PACKAGE)-$(VERSION)
-top_distdir = $(distdir)
-am__remove_distdir = \
- { test ! -d $(distdir) \
- || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
- && rm -fr $(distdir); }; }
-DIST_ARCHIVES = $(distdir).tar.gz $(distdir).tar.bz2
-GZIP_ENV = --best
-distuninstallcheck_listfiles = find . -type f -print
-distcleancheck_listfiles = find . -type f -print
-ACLOCAL = aclocal -I /home/dj4236/lgn/x/xorg/cvs/head/modular/share/aclocal
-AMTAR = ${SHELL} /home/dj4236/lgn/x/xorg/cvs/head/proto/Lg3d/missing --run tar
-AUTOCONF = ${SHELL} /home/dj4236/lgn/x/xorg/cvs/head/proto/Lg3d/missing --run autoconf
-AUTOHEADER = ${SHELL} /home/dj4236/lgn/x/xorg/cvs/head/proto/Lg3d/missing --run autoheader
-AUTOMAKE = ${SHELL} /home/dj4236/lgn/x/xorg/cvs/head/proto/Lg3d/missing --run automake-1.9
+ACLOCAL = aclocal -I /local/xorg/share/aclocal
+ADMIN_MAN_DIR = $(mandir)/man$(ADMIN_MAN_SUFFIX)
+ADMIN_MAN_SUFFIX = 8
+AMTAR = ${SHELL} /local/src/xorg/newproto/proto/missing --run tar
+AM_DEFAULT_VERBOSITY = 0
+APPLEWMPROTO_VERSION = 1.4.1
+APP_MAN_DIR = $(mandir)/man$(APP_MAN_SUFFIX)
+APP_MAN_SUFFIX = 1
+AUTOCONF = ${SHELL} /local/src/xorg/newproto/proto/missing --run autoconf
+AUTOHEADER = ${SHELL} /local/src/xorg/newproto/proto/missing --run autoheader
+AUTOMAKE = ${SHELL} /local/src/xorg/newproto/proto/missing --run automake-1.11
AWK = gawk
+BIGREQSPROTO_VERSION = 1.1.0
+CALIBRATEPROTO_VERSION = 0.1.0
+CC = gcc -std=gnu99
+CCDEPMODE = depmode=none
+CFLAGS = -g -O2
+CHANGELOG_CMD = (GIT_DIR=$(top_srcdir)/.git git log > $(top_srcdir)/.changelog.tmp && mv $(top_srcdir)/.changelog.tmp $(top_srcdir)/ChangeLog) || (rm -f $(top_srcdir)/.changelog.tmp; touch $(top_srcdir)/ChangeLog; echo 'git directory not found: installing possibly empty changelog.' >&2)
+COMPOSITEPROTO_VERSION = 0.4.1
+CPP = gcc -E
+CPPFLAGS =
+CWARNFLAGS = -Wall -Wpointer-arith -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations -Wnested-externs -fno-strict-aliasing -Wbad-function-cast -Wformat=2 -Wold-style-definition -Wdeclaration-after-statement
CYGPATH_W = echo
-DEFS = -DPACKAGE_NAME=\"Lg3dProto\" -DPACKAGE_TARNAME=\"lg3dproto\" -DPACKAGE_VERSION=\"5.0\" -DPACKAGE_STRING=\"Lg3dProto\ 5.0\" -DPACKAGE_BUGREPORT=\"https://bugs.freedesktop.org/enter_bug.cgi\?product=xorg\" -DPACKAGE=\"lg3dproto\" -DVERSION=\"5.0\"
+DAMAGEPROTO_VERSION = 1.2.0
+DEFS = -DHAVE_CONFIG_H
+DEPDIR = .deps
+DMXPROTO_VERSION = 2.3
+DRI2PROTO_VERSION = 2.3
+DRIVER_MAN_DIR = $(mandir)/man$(DRIVER_MAN_SUFFIX)
+DRIVER_MAN_SUFFIX = 4
ECHO_C =
ECHO_N = -n
ECHO_T =
+EGREP = /bin/grep -E
+EVIEPROTO_VERSION = 1.1.0
+EXEEXT =
+FILE_MAN_DIR = $(mandir)/man$(FILE_MAN_SUFFIX)
+FILE_MAN_SUFFIX = 5
+FIXESPROTO_VERSION = 4.1.1
+FONTCACHEPROTO_VERSION = 0.1.3
+FONTSPROTO_VERSION = 2.1.0
+GLPROTO_VERSION = 1.4.11
+GREP = /bin/grep
+INPUTPROTO_VERSION = 2.0
+INSTALL = /local/xorg/bin/install-check
+INSTALL_CMD = (cp -f /local/xorg/share/util-macros/INSTALL $(top_srcdir)/.INSTALL.tmp && mv $(top_srcdir)/.INSTALL.tmp $(top_srcdir)/INSTALL) || (rm -f $(top_srcdir)/.INSTALL.tmp; touch $(top_srcdir)/INSTALL; echo 'util-macros "pkgdatadir" from xorg-macros.pc not found: installing possibly empty INSTALL.' >&2)
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
-INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
+INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
+KBPROTO_VERSION = 1.0.4
+LDFLAGS =
+LG3DPROTO_VERSION = 5.0
LIBOBJS =
LIBS =
+LIB_MAN_DIR = $(mandir)/man$(LIB_MAN_SUFFIX)
+LIB_MAN_SUFFIX = 3
LTLIBOBJS =
-MAKEINFO = ${SHELL} /home/dj4236/lgn/x/xorg/cvs/head/proto/Lg3d/missing --run makeinfo
-PACKAGE = lg3dproto
+MAINT =
+MAKEINFO = ${SHELL} /local/src/xorg/newproto/proto/missing --run makeinfo
+MISC_MAN_DIR = $(mandir)/man$(MISC_MAN_SUFFIX)
+MISC_MAN_SUFFIX = 7
+MKDIR_P = /bin/mkdir -p
+OBJEXT = o
+PACKAGE = proto
PACKAGE_BUGREPORT = https://bugs.freedesktop.org/enter_bug.cgi?product=xorg
-PACKAGE_NAME = Lg3dProto
-PACKAGE_STRING = Lg3dProto 5.0
-PACKAGE_TARNAME = lg3dproto
-PACKAGE_VERSION = 5.0
+PACKAGE_NAME = Proto
+PACKAGE_STRING = Proto 0.0.99.1
+PACKAGE_TARNAME = proto
+PACKAGE_URL =
+PACKAGE_VERSION = 0.0.99.1
PATH_SEPARATOR = :
+PKG_CONFIG = /usr/bin/pkg-config
+PMPROTO_VERSION = 1.0.3
+PRINTPROTO_VERSION = 1.0.4
+RANDRPROTO_VERSION = 1.3.1
+RECORDPROTO_VERSION = 1.14
+RENDERPROTO_VERSION = 0.11
+RESOURCEPROTO_VERSION = 1.1.0
+SCRNSAVERPROTO_VERSION = 1.2.0
SET_MAKE =
SHELL = /bin/sh
STRIP =
-VERSION = 5.0
-ac_ct_STRIP =
+TRAPPROTO_VERSION = 3.4.3
+USE_FDS_BITS = __fds_bits
+VERSION = 0.0.99.1
+VIDEOPROTO_VERSION = 2.3.0
+WINDOWSWMPROTO_VERSION = 1.0.4
+X11PROTO_VERSION = 7.0.16
+XCMISCPROTO_VERSION = 1.2.0
+XEXTPROTO_VERSION = 7.1.1
+XF86BIGFONTPROTO_VERSION = 1.2.0
+XF86DGAPROTO_VERSION = 2.1
+XF86DRIPROTO_VERSION = 2.1.0
+XF86MISCPROTO_VERSION = 0.9.3
+XF86RUSHPROTO_VERSION = 1.1.2
+XF86VIDMODEPROTO_VERSION = 2.3
+XINERAMAPROTO_VERSION = 1.2
+abs_builddir = /local/src/xorg/newproto/proto/lg3dproto
+abs_srcdir = /local/src/xorg/newproto/proto/lg3dproto
+abs_top_builddir = /local/src/xorg/newproto/proto
+abs_top_srcdir = /local/src/xorg/newproto/proto
+ac_ct_CC = gcc
+am__include = include
am__leading_dot = .
+am__quote =
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
+build = x86_64-unknown-linux-gnu
build_alias =
-datadir = ${prefix}/share
+build_cpu = x86_64
+build_os = linux-gnu
+build_vendor = unknown
+builddir = .
+datadir = ${datarootdir}
+datarootdir = ${prefix}/share
+docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
+dvidir = ${docdir}
exec_prefix = ${prefix}
+host = x86_64-unknown-linux-gnu
host_alias =
+host_cpu = x86_64
+host_os = linux-gnu
+host_vendor = unknown
+htmldir = ${docdir}
includedir = ${prefix}/include
-infodir = ${prefix}/info
-install_sh = /home/dj4236/lgn/x/xorg/cvs/head/proto/Lg3d/install-sh
+infodir = ${datarootdir}/info
+install_sh = ${SHELL} /local/src/xorg/newproto/proto/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
+localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
-mandir = ${prefix}/man
-mkdir_p = mkdir -p --
+mandir = ${datarootdir}/man
+mkdir_p = /bin/mkdir -p
oldincludedir = /usr/include
-prefix = /home/dj4236/lgn/x/xorg/cvs/head/modular
+pdfdir = ${docdir}
+prefix = /local/xorg-new
program_transform_name = s,x,x,
+psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
+srcdir = .
sysconfdir = ${prefix}/etc
target_alias =
+top_build_prefix = ../
+top_builddir = ..
+top_srcdir = ..
lg3ddir = $(includedir)/X11/extensions
lg3d_HEADERS = lgewire.h
pkgconfigdir = $(libdir)/pkgconfig
pkgconfig_DATA = lg3dproto.pc
-EXTRA_DIST = autogen.sh lg3dproto.pc.in
+EXTRA_DIST = autogen.sh lg3dproto.pc.in ChangeLog
+MAINTAINERCLEANFILES = ChangeLog
all: all-am
.SUFFIXES:
-am--refresh:
- @:
$(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps)
@for dep in $?; do \
case '$(am__configure_deps)' in \
*$$dep*) \
- echo ' cd $(srcdir) && $(AUTOMAKE) --foreign '; \
- cd $(srcdir) && $(AUTOMAKE) --foreign \
- && exit 0; \
+ ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
+ && { if test -f $@; then exit 0; else break; fi; }; \
exit 1;; \
esac; \
done; \
- echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
- cd $(top_srcdir) && \
- $(AUTOMAKE) --foreign Makefile
+ echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign lg3dproto/Makefile'; \
+ $(am__cd) $(top_srcdir) && \
+ $(AUTOMAKE) --foreign lg3dproto/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
@case '$?' in \
*config.status*) \
- echo ' $(SHELL) ./config.status'; \
- $(SHELL) ./config.status;; \
+ cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
*) \
- echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
- cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
+ echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
+ cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
esac;
$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
- $(SHELL) ./config.status --recheck
+ cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(top_srcdir)/configure: $(am__configure_deps)
- cd $(srcdir) && $(AUTOCONF)
+ cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4): $(am__aclocal_m4_deps)
- cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
+ cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
+$(am__aclocal_m4_deps):
lg3dproto.pc: $(top_builddir)/config.status $(srcdir)/lg3dproto.pc.in
- cd $(top_builddir) && $(SHELL) ./config.status $@
-uninstall-info-am:
+ cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
install-pkgconfigDATA: $(pkgconfig_DATA)
@$(NORMAL_INSTALL)
- test -z "$(pkgconfigdir)" || $(mkdir_p) "$(DESTDIR)$(pkgconfigdir)"
- @list='$(pkgconfig_DATA)'; for p in $$list; do \
+ test -z "$(pkgconfigdir)" || $(MKDIR_P) "$(DESTDIR)$(pkgconfigdir)"
+ @list='$(pkgconfig_DATA)'; test -n "$(pkgconfigdir)" || list=; \
+ for p in $$list; do \
if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
- f=$(am__strip_dir) \
- echo " $(pkgconfigDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(pkgconfigdir)/$$f'"; \
- $(pkgconfigDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(pkgconfigdir)/$$f"; \
+ echo "$$d$$p"; \
+ done | $(am__base_list) | \
+ while read files; do \
+ echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(pkgconfigdir)'"; \
+ $(INSTALL_DATA) $$files "$(DESTDIR)$(pkgconfigdir)" || exit $$?; \
done
uninstall-pkgconfigDATA:
@$(NORMAL_UNINSTALL)
- @list='$(pkgconfig_DATA)'; for p in $$list; do \
- f=$(am__strip_dir) \
- echo " rm -f '$(DESTDIR)$(pkgconfigdir)/$$f'"; \
- rm -f "$(DESTDIR)$(pkgconfigdir)/$$f"; \
- done
+ @list='$(pkgconfig_DATA)'; test -n "$(pkgconfigdir)" || list=; \
+ files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
+ test -n "$$files" || exit 0; \
+ echo " ( cd '$(DESTDIR)$(pkgconfigdir)' && rm -f" $$files ")"; \
+ cd "$(DESTDIR)$(pkgconfigdir)" && rm -f $$files
install-lg3dHEADERS: $(lg3d_HEADERS)
@$(NORMAL_INSTALL)
- test -z "$(lg3ddir)" || $(mkdir_p) "$(DESTDIR)$(lg3ddir)"
- @list='$(lg3d_HEADERS)'; for p in $$list; do \
+ test -z "$(lg3ddir)" || $(MKDIR_P) "$(DESTDIR)$(lg3ddir)"
+ @list='$(lg3d_HEADERS)'; test -n "$(lg3ddir)" || list=; \
+ for p in $$list; do \
if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
- f=$(am__strip_dir) \
- echo " $(lg3dHEADERS_INSTALL) '$$d$$p' '$(DESTDIR)$(lg3ddir)/$$f'"; \
- $(lg3dHEADERS_INSTALL) "$$d$$p" "$(DESTDIR)$(lg3ddir)/$$f"; \
+ echo "$$d$$p"; \
+ done | $(am__base_list) | \
+ while read files; do \
+ echo " $(INSTALL_HEADER) $$files '$(DESTDIR)$(lg3ddir)'"; \
+ $(INSTALL_HEADER) $$files "$(DESTDIR)$(lg3ddir)" || exit $$?; \
done
uninstall-lg3dHEADERS:
@$(NORMAL_UNINSTALL)
- @list='$(lg3d_HEADERS)'; for p in $$list; do \
- f=$(am__strip_dir) \
- echo " rm -f '$(DESTDIR)$(lg3ddir)/$$f'"; \
- rm -f "$(DESTDIR)$(lg3ddir)/$$f"; \
- done
+ @list='$(lg3d_HEADERS)'; test -n "$(lg3ddir)" || list=; \
+ files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
+ test -n "$$files" || exit 0; \
+ echo " ( cd '$(DESTDIR)$(lg3ddir)' && rm -f" $$files ")"; \
+ cd "$(DESTDIR)$(lg3ddir)" && rm -f $$files
ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
unique=`for i in $$list; do \
if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
done | \
- $(AWK) ' { files[$$0] = 1; } \
- END { for (i in files) print i; }'`; \
+ $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
+ END { if (nonempty) { for (i in files) print i; }; }'`; \
mkid -fID $$unique
tags: TAGS
TAGS: $(HEADERS) $(SOURCES) $(TAGS_DEPENDENCIES) \
$(TAGS_FILES) $(LISP)
- tags=; \
+ set x; \
here=`pwd`; \
list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
unique=`for i in $$list; do \
if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
done | \
- $(AWK) ' { files[$$0] = 1; } \
- END { for (i in files) print i; }'`; \
- if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
+ $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
+ END { if (nonempty) { for (i in files) print i; }; }'`; \
+ shift; \
+ if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
test -n "$$unique" || unique=$$empty_fix; \
- $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
- $$tags $$unique; \
+ if test $$# -gt 0; then \
+ $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
+ "$$@" $$unique; \
+ else \
+ $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
+ $$unique; \
+ fi; \
fi
ctags: CTAGS
CTAGS: $(HEADERS) $(SOURCES) $(TAGS_DEPENDENCIES) \
$(TAGS_FILES) $(LISP)
- tags=; \
- here=`pwd`; \
list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
unique=`for i in $$list; do \
if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
done | \
- $(AWK) ' { files[$$0] = 1; } \
- END { for (i in files) print i; }'`; \
- test -z "$(CTAGS_ARGS)$$tags$$unique" \
+ $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
+ END { if (nonempty) { for (i in files) print i; }; }'`; \
+ test -z "$(CTAGS_ARGS)$$unique" \
|| $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
- $$tags $$unique
+ $$unique
GTAGS:
here=`$(am__cd) $(top_builddir) && pwd` \
- && cd $(top_srcdir) \
- && gtags -i $(GTAGS_ARGS) $$here
+ && $(am__cd) $(top_srcdir) \
+ && gtags -i $(GTAGS_ARGS) "$$here"
distclean-tags:
-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
distdir: $(DISTFILES)
- $(am__remove_distdir)
- mkdir $(distdir)
- $(mkdir_p) $(distdir)/.
- @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
- topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
- list='$(DISTFILES)'; for file in $$list; do \
- case $$file in \
- $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
- $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
- esac; \
+ @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
+ topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
+ list='$(DISTFILES)'; \
+ dist_files=`for file in $$list; do echo $$file; done | \
+ sed -e "s|^$$srcdirstrip/||;t" \
+ -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
+ case $$dist_files in \
+ */*) $(MKDIR_P) `echo "$$dist_files" | \
+ sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
+ sort -u` ;; \
+ esac; \
+ for file in $$dist_files; do \
if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
- dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
- if test "$$dir" != "$$file" && test "$$dir" != "."; then \
- dir="/$$dir"; \
- $(mkdir_p) "$(distdir)$$dir"; \
- else \
- dir=''; \
- fi; \
if test -d $$d/$$file; then \
+ dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
+ if test -d "$(distdir)/$$file"; then \
+ find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
+ fi; \
if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
- cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
+ cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
+ find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
fi; \
- cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
+ cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
else \
- test -f $(distdir)/$$file \
- || cp -p $$d/$$file $(distdir)/$$file \
+ test -f "$(distdir)/$$file" \
+ || cp -p $$d/$$file "$(distdir)/$$file" \
|| exit 1; \
fi; \
done
- -find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
- ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
- ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
- ! -type d ! -perm -444 -exec $(SHELL) $(install_sh) -c -m a+r {} {} \; \
- || chmod -R a+r $(distdir)
-dist-gzip: distdir
- tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
- $(am__remove_distdir)
-dist-bzip2: distdir
- tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
- $(am__remove_distdir)
-
-dist-tarZ: distdir
- tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
- $(am__remove_distdir)
-
-dist-shar: distdir
- shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
- $(am__remove_distdir)
-
-dist-zip: distdir
- -rm -f $(distdir).zip
- zip -rq $(distdir).zip $(distdir)
- $(am__remove_distdir)
-
-dist dist-all: distdir
- tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
- tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
- $(am__remove_distdir)
-
-# This target untars the dist file and tries a VPATH configuration. Then
-# it guarantees that the distribution is self-contained by making another
-# tarfile.
-distcheck: dist
- case '$(DIST_ARCHIVES)' in \
- *.tar.gz*) \
- GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(am__untar) ;;\
- *.tar.bz2*) \
- bunzip2 -c $(distdir).tar.bz2 | $(am__untar) ;;\
- *.tar.Z*) \
- uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
- *.shar.gz*) \
- GZIP=$(GZIP_ENV) gunzip -c $(distdir).shar.gz | unshar ;;\
- *.zip*) \
- unzip $(distdir).zip ;;\
- esac
- chmod -R a-w $(distdir); chmod a+w $(distdir)
- mkdir $(distdir)/_build
- mkdir $(distdir)/_inst
- chmod a-w $(distdir)
- dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
- && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
- && cd $(distdir)/_build \
- && ../configure --srcdir=.. --prefix="$$dc_install_base" \
- $(DISTCHECK_CONFIGURE_FLAGS) \
- && $(MAKE) $(AM_MAKEFLAGS) \
- && $(MAKE) $(AM_MAKEFLAGS) dvi \
- && $(MAKE) $(AM_MAKEFLAGS) check \
- && $(MAKE) $(AM_MAKEFLAGS) install \
- && $(MAKE) $(AM_MAKEFLAGS) installcheck \
- && $(MAKE) $(AM_MAKEFLAGS) uninstall \
- && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
- distuninstallcheck \
- && chmod -R a-w "$$dc_install_base" \
- && ({ \
- (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
- && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
- && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
- && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
- distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
- } || { rm -rf "$$dc_destdir"; exit 1; }) \
- && rm -rf "$$dc_destdir" \
- && $(MAKE) $(AM_MAKEFLAGS) dist \
- && rm -rf $(DIST_ARCHIVES) \
- && $(MAKE) $(AM_MAKEFLAGS) distcleancheck
- $(am__remove_distdir)
- @(echo "$(distdir) archives ready for distribution: "; \
- list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
- sed -e '1{h;s/./=/g;p;x;}' -e '$${p;x;}'
-distuninstallcheck:
- @cd $(distuninstallcheck_dir) \
- && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
- || { echo "ERROR: files left after uninstall:" ; \
- if test -n "$(DESTDIR)"; then \
- echo " (check DESTDIR support)"; \
- fi ; \
- $(distuninstallcheck_listfiles) ; \
- exit 1; } >&2
-distcleancheck: distclean
- @if test '$(srcdir)' = . ; then \
- echo "ERROR: distcleancheck can only run from a VPATH build" ; \
- exit 1 ; \
- fi
- @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
- || { echo "ERROR: files left in build directory after distclean:" ; \
- $(distcleancheck_listfiles) ; \
- exit 1; } >&2
+ $(MAKE) $(AM_MAKEFLAGS) \
+ top_distdir="$(top_distdir)" distdir="$(distdir)" \
+ dist-hook
check-am: all-am
check: check-am
all-am: Makefile $(DATA) $(HEADERS)
installdirs:
for dir in "$(DESTDIR)$(pkgconfigdir)" "$(DESTDIR)$(lg3ddir)"; do \
- test -z "$$dir" || $(mkdir_p) "$$dir"; \
+ test -z "$$dir" || $(MKDIR_P) "$$dir"; \
done
install: install-am
install-exec: install-exec-am
@@ -409,16 +447,17 @@ clean-generic:
distclean-generic:
-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
+ -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
maintainer-clean-generic:
@echo "This command is intended for maintainers to use"
@echo "it deletes files that may require special tools to rebuild."
+ -test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
clean: clean-am
clean-am: clean-generic mostlyclean-am
distclean: distclean-am
- -rm -f $(am__CONFIG_DISTCLEAN_FILES)
-rm -f Makefile
distclean-am: clean-am distclean-generic distclean-tags
@@ -428,23 +467,41 @@ dvi-am:
html: html-am
+html-am:
+
info: info-am
info-am:
install-data-am: install-lg3dHEADERS install-pkgconfigDATA
+install-dvi: install-dvi-am
+
+install-dvi-am:
+
install-exec-am:
+install-html: install-html-am
+
+install-html-am:
+
install-info: install-info-am
+install-info-am:
+
install-man:
+install-pdf: install-pdf-am
+
+install-pdf-am:
+
+install-ps: install-ps-am
+
+install-ps-am:
+
installcheck-am:
maintainer-clean: maintainer-clean-am
- -rm -f $(am__CONFIG_DISTCLEAN_FILES)
- -rm -rf $(top_srcdir)/autom4te.cache
-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic
@@ -460,22 +517,30 @@ ps: ps-am
ps-am:
-uninstall-am: uninstall-info-am uninstall-lg3dHEADERS \
- uninstall-pkgconfigDATA
-
-.PHONY: CTAGS GTAGS all all-am am--refresh check check-am clean \
- clean-generic ctags dist dist-all dist-bzip2 dist-gzip \
- dist-shar dist-tarZ dist-zip distcheck distclean \
- distclean-generic distclean-tags distcleancheck distdir \
- distuninstallcheck dvi dvi-am html html-am info info-am \
- install install-am install-data install-data-am install-exec \
- install-exec-am install-info install-info-am \
- install-lg3dHEADERS install-man install-pkgconfigDATA \
- install-strip installcheck installcheck-am installdirs \
- maintainer-clean maintainer-clean-generic mostlyclean \
- mostlyclean-generic pdf pdf-am ps ps-am tags uninstall \
- uninstall-am uninstall-info-am uninstall-lg3dHEADERS \
- uninstall-pkgconfigDATA
+uninstall-am: uninstall-lg3dHEADERS uninstall-pkgconfigDATA
+
+.MAKE: install-am install-strip
+
+.PHONY: CTAGS GTAGS all all-am check check-am clean clean-generic \
+ ctags dist-hook distclean distclean-generic distclean-tags \
+ distdir dvi dvi-am html html-am info info-am install \
+ install-am install-data install-data-am install-dvi \
+ install-dvi-am install-exec install-exec-am install-html \
+ install-html-am install-info install-info-am \
+ install-lg3dHEADERS install-man install-pdf install-pdf-am \
+ install-pkgconfigDATA install-ps install-ps-am install-strip \
+ installcheck installcheck-am installdirs maintainer-clean \
+ maintainer-clean-generic mostlyclean mostlyclean-generic pdf \
+ pdf-am ps ps-am tags uninstall uninstall-am \
+ uninstall-lg3dHEADERS uninstall-pkgconfigDATA
+
+
+.PHONY: ChangeLog
+
+ChangeLog:
+ (GIT_DIR=$(top_srcdir)/.git git-log > .changelog.tmp && mv .changelog.tmp ChangeLog; rm -f .changelog.tmp) || (touch ChangeLog; echo 'git directory not found: installing possibly empty changelog.' >&2)
+
+dist-hook: ChangeLog
# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.